******************************************************
* Demo.prg - DEMO program to demonstrate how to use the 
*            query program
* Mdbf : Name of the database file
* Mopt : Option 'L' or 'R'
*        L for label 
*        R for report
* Mfile : name of the label or report file     
*******************************************************
PARAMETERS Mdbf, Mopt , Mfile
IF PCOUNT() < 3
   ? 'Insufficient parameters'    
Quit
ENDIF  
IF FILE(Mdbf + '.DBF' )
   USE &mdbf
ELSE
   ? 'Database file not found'
   Quit
ENDIF
DO CASE
   CASE Upper(mopt) = 'L'
      IF .NOT. FILE(mfile + '.lbl')
         ? 'LABEL file not found'
         Quit
      ENDIF
   CASE Upper(mopt) = 'R'
      IF .NOT. FILE(mfile + '.frm')
         ? 'REPORT file not found'
         Quit
      ENDIF
  OTHERWISE
  ? ' Wrong Option'
  Quit
ENDCASE
DO q  && Call the query program
DO CASE
   CASE Upper(mopt) = 'L'
      LABEL FORM &mfile FOR &mq_slct
   CASE Upper(mopt) = 'R'
      REPORT FORM &mfile FOR &mq_slct
ENDCASE
  
